Package ru.bitel.bgbilling.modules.softline.common.bean

# Class SoftLineSubscriptionHistory

java.lang.Object
ru.bitel.common.model.ContractId
ru.bitel.bgbilling.modules.softline.common.bean.SoftLineSubscriptionHistory

All Implemented Interfaces:
  `ContractIdable`

public class SoftLineSubscriptionHistory extends ContractId
Запись истории о подписке SoftLine

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SoftLineSubscriptionHistory()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Date`
  `getDate()`
  `int`
  `getProductId()`
  `int`
  `getStatus()`
  `int`
  `getSubscriptionId()`
  `SoftLineSubscriptionSuspendReason`
  `getSuspendReason()`
  `SoftLineSubscriptionHistory`
  `setContractId(int contractId)`
  `void`
  `setDate(Date date)`
  `void`
  `setProductId(int productId)`
  `void`
  `setStatus(int status)`
  `void`
  `setSubscriptionId(int subscriptionId)`
  `void`
  `setSuspendReason(SoftLineSubscriptionSuspendReason suspendReason)`

  ### Methods inherited from class ru.bitel.common.model.ContractId

  `getContractId`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SoftLineSubscriptionHistory

    public SoftLineSubscriptionHistory()

- ## Method Details

  - ### getSubscriptionId

    public int getSubscriptionId()

  - ### setSubscriptionId

    public void setSubscriptionId(int subscriptionId)

  - ### getStatus

    public int getStatus()

  - ### setStatus

    public void setStatus(int status)

  - ### getSuspendReason

    public SoftLineSubscriptionSuspendReason getSuspendReason()

  - ### setSuspendReason

    public void setSuspendReason(SoftLineSubscriptionSuspendReason suspendReason)

  - ### getDate

    public Date getDate()

  - ### setDate

    public void setDate(Date date)

  - ### setContractId

    public SoftLineSubscriptionHistory setContractId(int contractId)
    Overrides:
      `setContractId` in class `ContractId`

  - ### getProductId

    public int getProductId()

  - ### setProductId

    public void setProductId(int productId)